Delete action is hard to reach on the list of translations
Closed, ResolvedPublic

Description

The list of in-progress translations in the dashboard allows users to discard them:

Currently the menu presents several issues that are especially problematic with small screens and touch devices:

  • It should be possible to open the menu by clicking on the "..." icon. Currently the menu is opened on hover (which is good), but if a user clicks on the "..." icon the click event seems to propagate to the list element resulting in an unintended navigation.
  • The active area is small and overlapping. Making the active area for the "..." menu to be bigger and reducing the overlap with the list item active area will reduce the chances of accidentally clicking in the wrong place.
dchen added a subscriber: dchen.May 15 2017, 6:20 PM

also, is there a plan to add more actions in this dropdown? if not, consider replacing ... button with a delete button/icon.

also, is there a plan to add more actions in this dropdown? if not, consider replacing ... button with a delete button/icon.

For those translations that have been published but there are still "in progress" because further edits were made, we want to provide a way to mark them a published too.

Pginer-WMF removed Pginer-WMF as the assignee of this task.Jun 27 2017, 7:52 AM
Pginer-WMF added a subscriber: User-Petar.petkovic.
Pginer-WMF removed a subscriber: User-Petar.petkovic.
Pginer-WMF triaged this task as High priority.Jun 30 2017, 9:12 AM

Change 364684 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/ContentTranslation@master] Make delete action reachable

https://gerrit.wikimedia.org/r/364684

santhosh updated the task description. (Show Details)Jul 13 2017, 4:57 AM

@Pginer-WMF how about removing the opening-on-hover action altogether and make it 'open on click, close on anoter click'? Having click and hover for same action is confusing since you need to hover for click anyway. Also hover is not usable in touch interface.

@Pginer-WMF how about removing the opening-on-hover action altogether and make it 'open on click, close on anoter click'? Having click and hover for same action is confusing since you need to hover for click anyway. Also hover is not usable in touch interface.

If it makes things technically easier we can base this on click only. However, having hover as an extra shortcut for devices that support it should not be a problem for those that do not support it (as long as click is supported everywhere).

Change 364684 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Make delete action reachable

https://gerrit.wikimedia.org/r/364684

Checked in cx-testing (and compared it with wmf.7) - the clicking area is bigger; it's more convenient to
wmf.7


cx-testing

The placement of 'Discard translation' is pushed down a little bit (naturally) in cx-testing:
wmf.7


cx-testing

All functionality is in place.

Etonkovidova closed this task as Resolved.Jul 25 2017, 11:16 PM